### Switches controlling Image Generation

These switches affect whether images are created at all, whether old images are reused on subsequent runs or new ones created afresh, and whether anti-aliasing effects are used within the images themselves.

-use_dvipng
  Use the dvipng program to generate png images, rather than dvips followed by gs. This method produces better alignment of math formulas which extend significantly above or below the line of text in which they are contained. An example of this behavior can be seen in the file `tests/eq_line_spacing.tex`. The dvipng method also eliminates the ugly crop marks that appear with 12pt documents. It does not respect the `$MATH_SCALE_FACTOR` option.

-ascii_mode
  Same as setting: `$ASCII_MODE``=` `$EXTERNAL_IMAGES``= 1;`
  Use only `ASCII` characters and do not include any images in the final output. With `-ascii_mode` the output of the translator can be used on character-based browsers, such as lynx, which do not support inlined images (via the `<IMG>` tag).

-nolatex
  Same as setting: `$NOLATEX``= 1;`
  Disable the mechanism for passing unknown environments to LATEX for processing. This can be thought of as “draft mode” which allows faster translation of the basic document structure and text, without fancy figures, equations or tables.

  (This option has been superseded by the `-no_images` option, see below.)

-external_images
  Same as setting: `$EXTERNAL_IMAGES``= 1;`
  Instead of including any generated images inside the document, leave them outside the document and provide hypertext links to them.

-ps_images
  Same as setting: `$PS_IMAGES``=` `$EXTERNAL_IMAGES``= 1;`
  Use links to external PostScript files rather than inlined images in the chosen graphics format.

-discard
  Same as setting: `$DISCARD_PS``= 1;`
  The temporary PostScript files are discarded immediately after they have been used to create the image in the desired graphics format.

-no_images
  Same as setting: `$NO_IMAGES``= 1;`
  Do not attempt to produce any inlined images. The missing images can be generated “off-line” by restarting LATEX2`HTML` with the option `-images_only` .

-images_only
  Same as setting: `$IMAGES_ONLY``= 1;`
  Try to convert any inlined images that were left over from previous runs of LATEX2`HTML`.

-reuse `<reuse_option>`
  Same as setting: `$REUSE``= <reuse_option>;`
  This switch specifies the extent to which image files are to be shared or recycled.
  There are three valid options:
  `0`
    Do not ever share or recycle image files.
    This choice also invokes an interactive session prompting the user about what to do about a pre-existing `HTML` directory, if it exists.
  `1`
    Recycle image files from a previous run if they are available,
    but do not share identical images that must be created in this run.
  `2`
    Recycle image files from a previous run and share identical images from this run.
    This is the default.
  A later section provides additional information about image-reuse.

-no_reuse
  Same as setting: `$REUSE``= 0;`
  Do not share or recycle images generated during previous translations. This is equivalent to `-reuse 0` . (This will enable the initial interactive session during which the user is asked whether to reuse the old directory, delete its contents or quit.)

-antialias
  Same as setting: `$ANTI_ALIAS``= 1;` (Default is 0.)
  Generated images of figure environments and external PostScript files should use anti-aliasing. By default anti-aliasing is not used with these images, since this may interfere with the contents of the images themselves.

-antialias_text
  Same as setting: `$ANTI_ALIAS_TEXT``= 1;` (Default is 1.)
  Generated images of typeset material such as text, mathematical formulas, tables and the content of makeimage environments, should use anti-aliasing effects.
  The default is normally to use anti-aliasing for text, since the resulting images are much clearer on-screen. However the default may have been changed locally.

-no_antialias
  Same as setting: `$ANTI_ALIAS``= 0;` (Default is 0.)
  Generated images of figure environments and external PostScript files should not use anti-aliasing with images, though the local default may have been changed to use it.

-no_antialias_text
  Same as setting: `$ANTI_ALIAS_TEXT``= 0;` (Default is 1.)
  Generated images of typeset material should not use anti-aliasing effects. Although on-screen images of text are definitely improved using anti-aliasing, printed images can be badly blurred, even at 300dpi. Higher resolution printers do a much better job with the resulting grey-scale images.

  98.1

-white
  Same as setting: `$WHITE_BACKGROUND``= 1;` (Default is 1.)
  Ensures that images of figure environments have a white background. Otherwise transparency effects may not work correctly.

-no_white
  Same as setting: `$WHITE_BACKGROUND``= ”;` (Default is 1.)
  Cancels the requirement that figure environments have a white background.

-ldump
  Same as setting: `$LATEX_DUMP``= 1;` (Default is 0.)
  Use this if you want to speed up image processing during the 2nd and subsequent runs of LATEX2`HTML` on the same document. The translator now produces a LATEX format-dump of the preamble to `images.tex` which is used on subsequent runs. This significantly reduces the startup time when LATEX reads the `images.tex` file for image-generation.

  This process actually consumes additional time on the first run, since LATEX is called twice -- once to create the format-dump, then again to load and use it. The pay-off comes with the faster loading on subsequent runs. Approximately 1 Meg of disk space is consumed by the dump file.
  98.1